<div class="row">
  <div class="col-md-4">
    <ng-select [(ngModel)]="selectedOption" (change)="showOptionShipments(selectedOption)"  [clearable]="false" class="all_options">
      <ng-option [value]="999">All Shipments</ng-option>
      <ng-option [value]="4">Pending Shipments</ng-option>
      <ng-option [value]="3">Awaiting Payment</ng-option>
      <ng-option [value]="1">Awaiting Packages</ng-option>
      <ng-option [value]="2">Packages Received</ng-option>
      <ng-option [value]="5">Shipment History</ng-option>
    </ng-select>
    <section id="innerpanel" class="sortable-wrap">
      <div class="topicons">
        <span class="sort-opt-wrap">
         <a href="javascript:;" (click)="reverseShipments($event)">
           <span class="icon-sort"></span>
         </a>
       </span>
      </div>
      <div class="search-wrap">
        <input [(ngModel)]="searchText" type="text" (keyup)="searchTransactionList(searchText)" placeholder="Search"/>
        <span class="icon-search"></span>
      </div>
    </section>
    <section class="shipments-container">
      <ul class="shipments">
        <li *ngIf="selectedOption != '999'" style="background-color: #f3f3f3">
          <input type="checkbox" (change)="selectAllTransactions($event)" value="" [(ngModel)]="bulkselect" class="itemcheck">
          <label for="myid" class="shipmentdetails">
            <div class="row">
              <div class="col-md-10">
                <div class="actionbuttons" style="margin-top: 8px">
                  <a *ngIf="selectedOption == '2'" href="{{apiurl}}/new-shipment" class="action-button">Ship Now</a>
                  <a *ngIf="selectedOption == '3'" href="javascript;" (click)="processMakePayment($event)" class="action-button">Make Payment</a>
                  <a href="javascript;" (click)="requestShipmentPhoto($event)" class="action-button">Request Photo</a>
                </div>
              </div>
            </div>
          </label>
        </li>
      </ul>
    </section>
    <section class="shipments-container">
      <ul class="shipments">
        <li *ngFor="let shipmentobj of filteredShipments">
          <input *ngIf="selectedOption != '999'" (change)="onTransactionSelection($event, shipmentobj)" type="checkbox" value="" [(ngModel)]="shipmentobj.checked" id="myid" class="itemcheck">
          <label for="myid" class="shipmentdetails">
            <div class="row">
              <div class="col-md-8" *ngIf="shipmentobj?.Transaction?.type_id == '4'">
                <div class="cocode">GP {{cocode}} {{shipmentobj?.Shipment[0].Package.in_tracking ? shipmentobj?.Shipment[0].Package.in_tracking : shipmentobj?.Transaction.id.toString() | uppercase}}</div>
                <div class="receipt">Receipt Date  {{shipmentobj?.Transaction.date}}</div>
              </div>
              <div class="col-md-8" *ngIf="shipmentobj?.Transaction?.type_id != '4'">
                <div class="cocode">NS# {{cocode}} #{{shipmentobj?.Transaction.id}}</div>
                <div class="receipt">Receipt Date  {{shipmentobj?.Transaction.date}}</div>
              </div>
              <div class="col-md-4">
                <a class="shipment-details" href="javascript:;" (click)="shipmentsDetails($event, shipmentobj)">
                  Details
                </a>
              </div>
            </div>
          </label>
        </li>
      </ul>
    </section>
  </div>
  <div class="col-md-7">
    <div class="all-tabs">
      <section *ngIf="!transactionDetailsShown" class="sortable-wrap">
        <div *ngIf="selectedOption !== 3 && selectedOption !== 2" class="container-fluid">
          <h3 class="toptitle">My Shipments</h3>
          <section id="actionboxes">
            <div class="row">
              <div class="col-md-6">
                <div class="actionbox" rel="awaitingpaymaction" (click)="showOptionShipments(3)">
                  <div class="icon-wrap">
                    <span class="icon-awaitingpaym"></span>
                  </div>
                  <h4 class="title">Awaiting Payment</h4>
                  <h4 class="notification">HMHShip is awaiting payment to<br/> ship <span class="primary"> {{stats.count_awaiting_payment}}</span>
                    {{ stats.count_awaiting_payment > 1 ? 'packages' : 'package'}}</h4>
                  <h5 style="color: #0D3349">Pay Now</h5>
                </div>
              </div>

              <div class="col-md-6">
                <div class="actionbox" rel="packreceived" (click)="showOptionShipments(2)">
                  <div class="icon-wrap">
                    <span class="icon-packreceived"></span>
                  </div>
                  <h4 class="title">Package Received</h4>
                  <h4 class="notification">You have<span class="primary"> {{stats.count_received_package}} </span> {{ stats.count_received_package > 1 ? 'packages' : 'package'}} that<br/> have been received at HMHShip
                  </h4>
                  <h5 style="color: #0D3349">Ship Now</h5>
                </div>
              </div>
            </div>
            <div class="row">

              <div class="col-md-4">
                <div class="actionbox" rel="waitpackaction" (click)="showOptionShipments(1)">
                  <div class="icon-wrap">
                    <span class="icon-waitpack"></span>
                  </div>
                  <h4 class="title">Awaiting Packages</h4>
                  <h4 class="notification">HMHShip is waiting to <br/>receive <span class="primary">{{stats.count_waiting_package}}</span> {{ stats.count_waiting_package > 1 ? 'packages' : 'package'}}
                     </h4>
                  <!--<h5><a style="cursor:pointer;" (click)="showOptionShipments(1)">Show me more</a></h5>-->
                </div>
              </div>
              <div class="col-md-4">
                <div class="actionbox" rel="paymreceived" (click)="showOptionShipments(4)">
                  <div class="icon-wrap">
                    <span class="icon-paymreceived"></span>
                  </div>
                  <h4 class="title">Pending Shipments</h4>
                  <h4 class="notification">HMHShip has <span class="primary">{{stats.count_received_payment}}</span><br> {{ stats.count_received_payment > 1 ? 'packages' : 'package'}}
                     pending <br> shipment</h4>
                  <!--<h5><a style="cursor:pointer;" (click)="showOptionShipments(4)">Show me more</a></h5>-->
                </div>
              </div>
              <div class="col-md-4">
                <div class="actionbox" rel="packsentaction" (click)="showOptionShipments(5)">
                  <div class="icon-wrap">
                    <span class="icon-packsent"></span>
                  </div>
                  <h4 class="title">Shipment History</h4>
                  <h4 class="notification">HMHShip has shipped <br/> <span class="primary">{{stats.count_package_sent}}</span> {{ stats.count_package_sent > 1 ? 'packages' : 'package'}}
                  </h4>
                  <!--<h5><a style="cursor:pointer;" (click)="showOptionShipments(5)">Show me more</a></h5>-->
                </div>
              </div>
            </div>
          </section>
        </div>
        <div *ngIf="selectedOption == '3'" class="container-fluid">
          <h3 class="toptitle">Pay Balance Due</h3>
          <section id="actionboxes">
            <div class="row">
              <div class="col-md-6">
                Please pay the shipping balance of ${{balanceDue.toFixed(2)}} and we'll have your package shipped to you right away!
                <div class="actionbuttons">
                  <a  href="javascript;" (click)="goToDashboard()" class="action-button">Go Back</a>
                  <a href="javascript:;" (click)="processMakePayment($event)" *ngIf="balanceDue" class="action-button">Pay Now</a>

                </div>
              </div>
            </div>
          </section>
        </div>

        <div *ngIf="selectedOption == '2'" class="container-fluid">
          <h3 class="toptitle">Ship your packages</h3>
          <section id="actionboxes">
            <div class="row">
              <div class="col-md-6">
               Ship your packages right away!
                <div class="actionbuttons">
                  <a  href="javascript;" (click)="goToDashboard()" class="action-button">Go Back</a>
                  <a *ngIf="selectedOption == '2'" href="{{apiurl}}/new-shipment" class="action-button">Ship Now</a>

                </div>
              </div>
            </div>
          </section>
        </div>
      </section>


      <div id="innertabs" *ngIf="transactionDetailsShown">
        <div class="row">
          <div class="col-md-6">
            <h3 class="toptitle-detail-header">
              NS#{{cocode}} #{{selectedTransaction?.Shipment[0]?.Package.in_tracking ? selectedTransaction?.Shipment[0]?.Package.in_tracking : selectedTransaction?.Transaction.id.toString() | uppercase}}
            </h3>
          </div>
          <div class="col-md-6">
            <div class="actionbuttons">
              <a  href="javascript;" (click)="goBack()" class="action-button">Go Back</a>
              <a *ngIf="selectedTransaction?.Transaction?.status == '2'" href="{{apiurl}}/new-shipment" class="action-button">Ship Now</a>
              <a *ngIf="selectedTransaction?.Transaction?.status == '3'" href="{{apiurl}}/Users/payment" class="action-button">Pay Now</a>
              <a href="javascript;"  class="action-button">Request Photo</a>
            </div>
          </div>
        </div>

        <div class="innersection">
          <h4 class="innersection-title">Personal Information</h4>
          <div class="row">
            <div class="col-md-6">
              <div class="block hasPadding">
                <h4>Name</h4>
                <span >
                        {{ (selectedTransaction?.AddressBilling[0]?.firstname || 'empty') }}
                    </span>

                <span>
                        {{ (selectedTransaction?.AddressBilling[0]?.lastname || 'empty') }}
                    </span>
              </div>
              <div class="block hasPadding">
                <h4>Address 1</h4>

                <span>
                        {{ (selectedTransaction?.AddressBilling[0]?.address1 || 'empty') }}
                    </span>
              </div>
              <div class="block hasPadding">
                <h4>City</h4>

                <span>
                        {{ (selectedTransaction?.AddressBilling[0]?.city || 'empty') }}
                    </span>
              </div>
              <div class="block hasPadding">
                <h4>State</h4>

                <span >
                        {{ (selectedTransaction?.AddressBilling[0]?.adm_division || 'empty') }}
                    </span>
              </div>
              <div class="block hasPadding">
                <h4>Postcode</h4>

                <span >
                        {{ (selectedTransaction?.AddressBilling[0]?.postal_code || 'empty') }}
                    </span>
              </div>
              <div class="block hasPadding">
                <h4>Country</h4>

                <span>
                {{ countries[selectedTransaction?.AddressBilling[0]?.country_id] }}
              </span>
              </div>
            </div>
            <div class="col-md-6">
              <div class="block hasPadding">
                <h4>Contact Information</h4>

                <span>
                        {{ (selectedTransaction?.AddressBilling[0]?.email || 'empty') }}
                    </span>
                <div class="clearfix">&nbsp;</div>

                <span>
                        {{ (selectedTransaction?.AddressBilling[0]?.phone || 'empty') }}
                    </span>

              </div>
              <div class="block hasPadding">
                <h4>Address 2</h4>

                <span>
                        {{ (selectedTransaction?.AddressBilling[0]?.address2 || 'None') }}
                    </span>
              </div>
              <div class="clearfix">&nbsp;
                <div>
                  <h4 *ngIf="selectedTransaction?.Photos.length">Requested Photos</h4>
                  <ul class="requested-photos">
                    <li *ngFor="let photo of selectedTransaction?.Photos"><img style="max-width: 120px; max-height: 100px;" src="/{{photo.requested_photo_url}}"></li>
                  </ul>
                </div>
              </div>
            </div>
            <!-- /.col-md-6 -->
          </div>
          <!-- /.row -->
          <hr>
          <h3 class="clearfix">Shipping</h3>
          <div class="row">
            <div class="col-md-6">
              <div class="block hasPadding">
                <h4>Name</h4>

                <span>
                        {{ (selectedTransaction?.AddressShipping[0]?.firstname || 'empty') }}
                    </span>

                <span>
                        {{ (selectedTransaction?.AddressShipping[0]?.lastname || 'empty') }}
                    </span>
              </div>

              <div class="block hasPadding">
                <h4>Address 1</h4>

                <span>
                        {{ (selectedTransaction?.AddressShipping[0]?.address1 || 'empty') }}
                    </span>
                <div class="clearfix">&nbsp;</div>

                <span>
                        {{ (selectedTransaction?.AddressShipping[0]?.city || 'empty') }}
                    </span>
                <div class="clearfix">&nbsp;</div>

                <span>
                        {{ (selectedTransaction?.AddressShipping[0]?.adm_division || 'empty') }}
                    </span>
                <div class="clearfix">&nbsp;</div>

                <span>
                        {{ (selectedTransaction?.AddressShipping[0]?.postal_code || 'empty') }}
                    </span>
                <div class="clearfix">&nbsp;</div>
                <span>
                  {{ countries[selectedTransaction?.AddressShipping[0]?.country_id] }}
              </span>

              </div>
            </div>
            <div class="col-md-6">
              <div class="block hasPadding">
                <h4>Contact Information</h4>

                <span>
                        {{ (selectedTransaction?.AddressShipping[0]?.email || 'empty') }}
                    </span>
                <div class="clearfix">&nbsp;</div>

                <span>
                        {{ (selectedTransaction?.AddressShipping[0]?.phone || 'empty') }}
                    </span>

              </div>
              <div class="block hasPadding">
                <h4>Address 2</h4>

                <span>
                        {{ (selectedTransaction?.AddressShipping[0]?.address2 || 'None') }}
                    </span>
              </div>
            </div>
          </div>
        </div>
        <!-- /.innersection -->
        <div class="innersection">
          <h4 class="innersection-title">Additional Options</h4>
          <div class="row">
            <div class="col-md-6">
              <div class="block hasPadding">
                <h4>Need these packages expedited</h4>

                <span>
                        {{ (selectedTransaction.Transaction?.expedited && "Yes" || 'No') }}
                    </span>
              </div>
              <div class="block hasPadding">
                <h4>Photo Requested</h4>

                <span>
                        {{ (selectedTransaction.Transaction?.request_photo && "Yes" || 'No') }}
                    </span>
              </div>
            </div>
            <div class="col-md-6">
              <div class="block hasPadding">
                <h4>Insurance added</h4>

                <span>
                        {{ (selectedTransaction.Transaction?.insured && "Yes" || 'No') }}
                    </span>

              </div>
              <div class="block hasPadding">
                <h4>Repackage</h4>

                <span>
                        {{ (selectedTransaction.Transaction?.repackaged && "Yes" || 'No') }}
                    </span>

              </div>
              <div class="block hasPadding">
                <h4>Special Instructions</h4>

                <span>
                        {{ (selectedTransaction.Transaction?.special_instructions || 'empty') }}
                    </span>
              </div>
            </div>
          </div>
        </div>

        <!-- /.innersection -->
        <div class="innersection">
          <h4 class="innersection-title">Package Details</h4>
          <!-- Start Packages -->
          <div *ngFor="let shipment of selectedTransaction?.Shipment; let $index = index">
            <div class="block hasPadding">
              <h3>Package {{$index + 1}}</h3>
              <div class="row">
                <div class="col-md-4">
                  <h4>Gross Value</h4>
                  <p></p>
                </div>
                <div class="col-md-4">
                  <h4>Estimate Gross Weight</h4>

                  <span>
                            {{ (selectedTransaction?.Shipment[$index].Package.weight_kg ? selectedTransaction?.Shipment[$index].Package.weight_kg : selectedTransaction?.Shipment[$index].Package.weight_kg) }}
                        </span>

                  <span>
                  {{ selectedTransaction?.Shipment[$index].Package.weight_kg? 'kg' : 'lb' }}
                </span>

                </div>

                <div class="col-md-4">
                  <h4>Gross Dimensions</h4>
                  <label>Width</label>

                  <span>
                            {{ (selectedTransaction?.Shipment[$index].Package.width_in ? selectedTransaction?.Shipment[$index].Package.width_in : selectedTransaction?.Shipment[$index].Package.width_cm) }}
                        </span>
                  <span>
                  {{ selectedTransaction?.Shipment[$index].Package.width_in ? 'in': 'cm' }}
                </span>
                  <div class="clearfix"></div>
                  <label>Length</label>

                  <span>
                            {{ (selectedTransaction?.Shipment[$index].Package.length_in ? selectedTransaction?.Shipment[$index].Package.length_in : selectedTransaction?.Shipment[$index].Package.length_cm) }}
                        </span>
                  <span>
                  {{ selectedTransaction?.Shipment[$index].Package.length_in ? 'in' : 'cm' }}
                </span>
                  <div class="clearfix"></div>
                  <label>Height</label>
                  <span>
                            {{ (selectedTransaction?.Shipment[$index].Package.height_in ? selectedTransaction?.Shipment[$index].Package.height_in : selectedTransaction?.Shipment[$index].Package.height_cm) }}
                        </span>
                  <span>
                  {{ selectedTransaction?.Shipment[$index].Package.height_in ? 'in' : 'cm' }}
                </span>

                </div>
                <div class="col-md-4" *ngIf="selectedTransaction?.Shipment[$index].Package.consolidated_packages">
                  <h4>Consolidated Packages</h4>
                  {{ selectedTransaction?.Shipment[$index].Package.consolidated_packages }}
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col-md-4">
                <div class="block hasPadding">
                  <h4>Inbound Tracking Number</h4>
                  <span>
                            {{ (selectedTransaction?.Shipment[$index].Package.in_tracking || 'Not set') }}
                        </span>
                </div>
              </div>
              <div class="col-md-4">
                <div class="block hasPadding">
                  <h4>Inbound Carrier</h4>

                  <span>
                            {{ (selectedTransaction?.Shipment[$index].Package.carrier  || 'Not set') }}
                        </span>
                </div>
              </div>

            </div>
            <div class="row">
              <div class="col-md-4">
                <div class="block hasPadding">
                  <h4>Outbound Tracking Number</h4>

                  <span>
                            {{ (selectedTransaction?.Shipment[$index].Package.out_tracking  || 'Not set') }}
                        </span>
                </div>
              </div>
              <div class="col-md-4">
                <div class="block hasPadding">
                  <h4>Outbound Carrier</h4>

                  <span>
                            {{ (selectedTransaction?.Shipment[$index].Package.out_carrier  || 'Not set') }}
                        </span>
                </div>
              </div>
            </div>
            <h3>Item Details</h3>

            <!-- Start Items -->
            <div *ngFor="let item of selectedTransaction?.Shipment[$index].Package.Item">
              <div class="row">
                <div class="col-md-4">
                  <div class="block hasPadding">
                    <h4>Description</h4>
                    <span>
                    {{ (item.description || 'Not set') }}
                  </span>
                  </div>
                </div>
                <div class="col-md-4">
                  <div class="block hasPadding">
                    <h4>Weight</h4>

                    <span>
						{{ (item.weight_kg || 'Not set') }}
							</span>

                    <span>
						{{ (item.weight_lb || 'Not set') }}
							</span>
                    <span>
                    {{ item.weight_unit || 'Not set' }}
                  </span>

                  </div>
                </div>
                <div class="col-md-4">
                  <div class="block hasPadding">
                    <h4>Quantity</h4>

                    <span>
                                {{ (item.quantity || 'Not set') }}
                            </span>

                  </div>
                </div>
              </div>
              <div class="row">
                <div class="col-md-4">
                  <div class="block hasPadding">
                    <h4>Country of origin</h4>
                    <span>
                    <!--{{ showStatus(item.country_id, countries) }}-->
                  </span>
                  </div>
                </div>
                <div class="col-md-4">
                  <div class="block hasPadding">
                    <h4>Price</h4>

                    <span>
                                {{ ((item.value  || '0') | currency) }}
                            </span>
                  </div>
                </div>
                <div class="col-md-4">
                  <div class="block hasPadding">
                    <h4>Type of Content</h4>
                    <span>
                    <!--{{ showStatus(item.type_id, item_types) }}-->
                  </span>
                  </div>
                </div>
              </div>

            </div>
            <!-- End Items -->
            <hr>
            <button type="button" class="hidden">Add Package</button>
          </div>
          <!-- End Packages -->
        </div>

        <div class="innersection">
          <h4 class="innersection-title">Shipment Rates</h4>
          <div class="row">
            <div class="col-md-12 shippingRateMessage" style="color: #FF0000"></div>
          </div>
          <div class="row">
            <div class="col-md-6" *ngFor="let shipment of selectedTransaction?.Shipment; let $index = index">
              <div class="block hasPadding">
                <h4>Package {{$index + 1}}</h4>
                <p>{{shipment.Package.easypost_rate_description}}</p>

                <p>Quoted Rate: ${{shipment.Package.easypost_rate_price }}</p>
                <!--<p>EasyPost Rate: {{(shipment.Package.easypost_rate_price - (shipment.Package.easypost_rate_price * 0.15)).toFixed(2)}}</p>-->

              </div>
            </div>
          </div>
        </div>

        <!-- Payment options -->
        <div class="innersection">
          <h4 class="innersection-title">Payment Options</h4>
          <div class="row">
            <div class="col-md-4">
              <div class="block hasPadding">
                <h4>Shipping Charges Authorized</h4>

                <span>
                        {{ (selectedTransaction.Transaction?.charge_now?'Yes':'No' ) }}
                    </span>

              </div>
            </div>

          </div>
        </div>
      </div><!-- /#innertabs -->
    </div>
  </div>
</div>
